Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class XSLContentOutlineConfiguration

    public class XSLContentOutlineConfiguration
    extends XMLContentOutlineConfiguration

More advanced Outline Configuration for XML support. Expects that the viewer's input will be the DOM Model.

## Field Summary

`package-private static java.lang.String` | `ATTR_ID`
`package-private static java.lang.String` | `ATTR_NAME`
`package-private boolean` | `fShowAttributes`

## Constructor Summary

`XSLContentOutlineConfiguration()`

## Method Summary

`protected IContributionItem[]` | `createMenuContributions(TreeViewer viewer)`
`protected void` | `enableShowAttributes(boolean showAttributes , TreeViewer treeViewer)` Notifies this configuration that the flag that indicates whether or not to show attribute values in the tree viewer has changed. The tree viewer is automatically refreshed afterwards to update the labels. Clients should not call this method, but rather should react to it.
`public IContentProvider` | `getContentProvider(TreeViewer viewer)`
`public ILabelProvider` | `getLabelProvider(TreeViewer viewer)`
`public ISelection` | `getSelection(TreeViewer viewer , ISelection selection)`

## Field Detail

## ATTR_ID

`package-private static java.lang.String ATTR_ID`

## ATTR_NAME

`package-private static java.lang.String ATTR_NAME`

## fShowAttributes

`package-private boolean fShowAttributes`

## Constructor Detail

## XSLContentOutlineConfiguration

`public XSLContentOutlineConfiguration()`

Create new instance of XMLContentOutlineConfiguration

## Methods Detail

## createMenuContributions

`protected IContributionItem[] createMenuContributions(TreeViewer viewer)`

### Parameters

`viewer`

### Returns

`IContributionItem[]`

## enableShowAttributes

`protected void enableShowAttributes(boolean showAttributes , TreeViewer treeViewer)`

Notifies this configuration that the flag that indicates whether or not to show attribute values in the tree viewer has changed. The tree viewer is automatically refreshed afterwards to update the labels. Clients should not call this method, but rather should react to it.

### Parameters

`showAttributes` - flag indicating whether or not to show attribute values in the tree viewer

`treeViewer` - the TreeViewer associated with this configuration

## getContentProvider

`public IContentProvider getContentProvider(TreeViewer viewer)`

### Parameters

`viewer`

### Returns

`IContentProvider`

## getLabelProvider

`public ILabelProvider getLabelProvider(TreeViewer viewer)`

### Parameters

`viewer`

### Returns

`ILabelProvider`

## getSelection

`public ISelection getSelection(TreeViewer viewer , ISelection selection)`

### Parameters

`viewer`

`selection`

### Returns

`ISelection`